import axios from "../../utils/axios";

export function getSupComapnys(query) {
    return axios(
        {
            url: "/api/pur/getSupComapnys",
            method: "get",
            params: query
        }
    );
}

export function delSupComapnys(query) {
    return axios(
        {
            url: "/api/pur/supCompany/delete",
            method: "post",
            data: query
        }
    );
}


export function modifyCompany(query) {
    return axios(
        {
            url: "/api/pur/modifyCompany",
            method: "post",
            data: query
        }
    );
}

export function auditCompany(query) {
    return axios(
        {
            url: "/api/pur/auditCompany",
            method: "post",
            data: query
        }
    );
}



export function addCompany(query) {
    return axios(
        {
            url: "/api/pur/addCompany",
            method: "post",
            data: query
        }
    );
}


export function getRefid(query) {
    return axios(
        {
            url: "/sale/info/refid",
            method: "get",
            params: query
        }
    );
}

export function checkCompany(query) {
    return axios(
        {
            url: "/salewarehouse/register/checkCompany",
            method: "get",
            params: query
        }
    );
}

export function getRegisterConfig(query) {
    return axios(
        {
            url: "/salewarehouse/register/getRegisterConfig",
            method: "get",
            params: query
        }
    );
}


export function getSubCompany(query) {
    return axios(
        {
            url: "/sale/info/getSubCompany",
            method: "get",
            params: query
        }
    );
}




export function bindCorp(query) {
    return axios(
        {
            url: "/sup/company/selectBind",
            method: "post",
            data: query
        }
    );
}





